1. Are you ready for the Galaxy S20? Here is everything we know so far!

Galaxy Y - synchronize CalDav appointments

Discussion in 'Android Lounge' started by lenainjaune, Apr 24, 2021.

  1. lenainjaune

    lenainjaune Lurker
    Thread Starter

    Good morning all :),

    I am a beginner in flashing and hacking smartphones.

    I just broke my Galaxy S3 4G GT-I9305 Android KitKat which is now useless (broken screen, no more access to the networks of telephone operators).

    Luckily, I kept my old Galaxy Y GT-S5360 (initial ROM: Android Gingerbread 2.3.6), on which I flashed a MangoME "custom ROM" (beta version) a few years ago to test it. seems to me by following this procedure => currently, I therefore have a MangoME ROM with Android Marshmallow 6.0.

    I tried to use it again. It works well for the use I have (phone ;) and SMS) but I get stuck on the synchronization of appointments which is necessary for me because I cannot install DavDroid.

    When I try to install with ADB davdroid_192.apk, I get the error "Installation error: INSTALL_FAILED_OLDER_SDK". By running the APK from this site I get: Minimal supported Android version: KitKat (4.4 - 4.4.4) - API level 19 (information corroborated by manual installation from the phone).
    However, my Android is a Marshmallow 6.0 => API level 23

    19 <23 => it should work so why this fatal error?

    I have several ideas for ways to dig (which I would be happy to submit to you) but first I would like to know why I have this error.

    Thank you in advance...
    lnj
     



    1. Download the Forums for Android™ app!


      Download

       
  2. ocnbrze

    ocnbrze DON'T PANIC!!!!!!!!!

    So just an fyi, flashing a custom rom based off of Android 6.0 does not mean your phone is on marshmello. The rom is based and optimized off of Android 6.0. if you can find davdroid that can run on not KitKat then you should be fine.
     
    Dannydet likes this.
  3. lenainjaune

    lenainjaune Lurker
    Thread Starter

    Hi and thank you for your quick answer :)

    Before posting I asked to myself if the flashed ROM was really a Marshmallow version. I tried from the Linux bash shell with ADB
    Code (Text):
    1. user@host:~$ adb shell getprop ro.build.version.sdk
    2. 10
    3.  
    So I suppose that the real version is in fact 10 GINGERBREAD MR1 (the same that the ROM Stock) and not 23 like I believed.

    I do not know the right way to ensure me the REAL flashed version. Could you explain me how to get it ?

    If this is not a Marshmallow ROM, where can I find a REAL Marshmallow ROM ?
     
  4. ocnbrze

    ocnbrze DON'T PANIC!!!!!!!!!

    there is no such thing, unfortunately.....from what i understand is that the base of the rom is whatever the highest android update is for your phone. the dev then adds in features of whatever android version the dev wants to use. the problem is that higher android versions that is not made for your phone, could have potential of not running smoothly and become unstable.

    the rom you flashed is a marshmellow themed rom......just an fyi

    .....that is my understanding as far as custom roms go.

    so like i said find an older apk of davdroid and you should be fine.

    you will not find an actual android 6 custom rom.
     
Loading...
Similar Threads - Galaxy synchronize CalDav
  1. ChaunceyK
    Replies:
    0
    Views:
    233
  2. sudz28
    Replies:
    7
    Views:
    307
  3. Hornetzero
    Replies:
    1
    Views:
    255
  4. oneytlam
    Replies:
    2
    Views:
    324
  5. Lane Lester
    Replies:
    2
    Views:
    316
  6. UUXIII
    Replies:
    8
    Views:
    425
  7. Gavank
    Replies:
    3
    Views:
    632
  8. App Update
    Replies:
    0
    Views:
    344
  9. Osher
    Replies:
    2
    Views:
    419
  10. OldGrantonian
    Replies:
    4
    Views:
    415

Share This Page

Loading...